using System;
using System.ComponentModel;

namespace TheGameExtreme.model.card
{
    public abstract class Card
    {
        public decimal Value { get; set; }

        public Card(decimal value)
        {
            Value = value;
        }

        public override string ToString()
        {
            return Value.ToString();
        }

        public abstract string getName();
        public abstract bool rapidEffect();

    }
}
